OpenTTD: src/highscore.cpp File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
highscore.cpp File Reference

Definition of functions used for highscore handling. More...

`#include "stdafx.h"`
`#include "highscore.h"`
`#include "company_base.h"`
`#include "company_func.h"`
`#include "cheat_func.h"`
`#include "string_func.h"`
`#include "strings_func.h"`
`#include "table/strings.h"`
`#include "core/sort_func.hpp"`
`#include "debug.h"`
`#include "safeguards.h"`

Go to the source code of this file.

## Functions
StringID | EndGameGetPerformanceTitleFromValue (uint value)
int8 | SaveHighScoreValue (const Company *c)
| Save the highscore for the company.
static int CDECL | HighScoreSorter (const Company *const *a, const Company *const *b)
| Sort all companies given their performance.
int8 | SaveHighScoreValueNetwork ()
| Save the highscores in a network game when it has ended.
void | SaveToHighScore ()
| Save HighScore table to file.
void | LoadFromHighScore ()
| Initialize the highscore table to 0 and if any file exists, load in values.

## Variables
HighScore | _highscore_table [SP_HIGHSCORE_END][5]
| various difficulty-settings; top 5
char * | _highscore_file
| The file to store the highscore data in.
static const StringID | _endgame_perf_titles []

## Detailed Description

Definition of functions used for highscore handling.

Definition in file highscore.cpp.

## Function Documentation

int8 SaveHighScoreValueNetwork | ( |  | ) |

Save the highscores in a network game when it has ended.

Returns
  Position of the local company in the highscore list.

Definition at line 91 of file highscore.cpp.

References _local_company, HighScore::company, HighScoreSorter(), lastof, lengthof, MAX_COMPANIES, CompanyProperties::old_economy, CompanyEconomyEntry::performance_history, QSortT(), HighScore::score, SetDParam(), SP_MULTIPLAYER, and HighScore::title.

## Variable Documentation

const StringID _endgame_perf_titles[]
| static

Initial value:
{
STR_HIGHSCORE_PERFORMANCE_TITLE_BUSINESSMAN,
STR_HIGHSCORE_PERFORMANCE_TITLE_BUSINESSMAN,
STR_HIGHSCORE_PERFORMANCE_TITLE_BUSINESSMAN,
STR_HIGHSCORE_PERFORMANCE_TITLE_BUSINESSMAN,
STR_HIGHSCORE_PERFORMANCE_TITLE_BUSINESSMAN,
STR_HIGHSCORE_PERFORMANCE_TITLE_ENTREPRENEUR,
STR_HIGHSCORE_PERFORMANCE_TITLE_ENTREPRENEUR,
STR_HIGHSCORE_PERFORMANCE_TITLE_INDUSTRIALIST,
STR_HIGHSCORE_PERFORMANCE_TITLE_INDUSTRIALIST,
STR_HIGHSCORE_PERFORMANCE_TITLE_CAPITALIST,
STR_HIGHSCORE_PERFORMANCE_TITLE_CAPITALIST,
STR_HIGHSCORE_PERFORMANCE_TITLE_MAGNATE,
STR_HIGHSCORE_PERFORMANCE_TITLE_MAGNATE,
STR_HIGHSCORE_PERFORMANCE_TITLE_MOGUL,
STR_HIGHSCORE_PERFORMANCE_TITLE_MOGUL,
STR_HIGHSCORE_PERFORMANCE_TITLE_TYCOON_OF_THE_CENTURY
}

Definition at line 28 of file highscore.cpp.